Attribute VB_Name = "Module1"

Declare Function NudiStartKeyboardEngine Lib "Kannada-Nudi.dll" Alias "_NudiStartKeyboardEngineVB@12" (ByVal isGlobal As Boolean, ByVal fontType As Integer, ByVal needTrayIcon As Boolean) As Boolean
Declare Function NudiStopKeyboardEngine Lib "Kannada-Nudi.dll" Alias "_NudiStopKeyboardEngineVB@0" () As Boolean

Declare Function NudiTurnEngineOn Lib "Kannada-Nudi.dll" Alias "_NudiTurnEngineOnVB@0" () As Boolean
Declare Function NudiTurnEngineOff Lib "Kannada-Nudi.dll" Alias "_NudiTurnEngineOffVB@0" () As Boolean

Declare Function NudiMonolingualGlyph2KSCLP Lib "Kannada-Nudi.dll" Alias "_NudiMonolingualGlyph2KSCLPVB@4" (ByVal srcString As String) As String

Public ValAns As Boolean

Public Function SortMethod(InputString As String) As String

On Error Resume Next

    Dim InputY(0 To 255) As String
    Dim InputZ(0 To 255) As String
    Dim OutputX As String: OutputX = ""
    Dim OutputY As String: OutputY = ""
    
    Dim wordindex As Integer: wordindex = 0
    For i = 1 To Len(InputString)
        If Mid(InputString, i, 1) <> " " Then
            InputY(wordindex) = InputY(wordindex) & Mid(InputString, i, 1)
        Else
            wordindex = wordindex + 1
        End If
    Next
    
    For j = 0 To wordindex
        InputY(j) = NudiMonolingualGlyph2KSCLP(Trim(InputY(j))) 'for Monolingual text.
        'InputY(j) = NudiBilingualGlyph2KSCLP(Trim(InputY(j))) 'for Bilinigual text.
        
        For k = 1 To Len(InputY(j))
            If Hex(Asc(Mid(InputY(j), k, 1))) <> 0 Then
                InputZ(j) = InputZ(j) + Mid(InputY(j), k, 1)
            Else
                Exit For
            End If
        Next

        For l = 1 To Len(InputZ(j))
            OutputX = OutputX + Hex(Asc(Mid(InputZ(j), l, 1)))
        Next
        
        If j <> wordindex Then
            OutputY = OutputY + OutputX + "00"
        Else
            OutputY = OutputY + OutputX
        End If
        OutputX = ""
   Next
    OutputY = Mid(OutputY, 1, 255)
    SortMethod = OutputY

End Function

Public Function ShowWriteWrong(Message As String)
    FrmWriteWrongMessage.LblMessage = Message
    FrmWriteWrongMessage.Show 1
End Function

Public Function ShowSave()
    Load FrmConfirmMessage
    FrmConfirmMessage.Show 1
End Function

Public Sub Main()

On Error GoTo a1
a = NudiStartKeyboardEngine(False, 1, False)
If a Then
   
   Call ShowWriteWrong("Pñ  r EAf ZAiİgP.")
   b = NudiStopKeyboardEngine
   End
End If
Load FrmEntry
FrmEntry.Show
Exit Sub

a1:
MsgBox "Please Install Nudi 4.0"
End

End Sub




